﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{3428AB85-2D53-49CD-BCFD-9A7ADCFACCBC}</ProjectGuid>
    <RootNamespace>bbws</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
    <ProjectName>idea</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup />
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <AdditionalDependencies>sqlite3.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <StackReserveSize>64000000</StackReserveSize>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <AdditionalDependencies>sqlite3.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <StackReserveSize>64000000</StackReserveSize>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>sqlite3.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <StackReserveSize>64000000</StackReserveSize>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>sqlite3.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <StackReserveSize>64000000</StackReserveSize>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="Controller\HomeController.cpp" />
    <ClCompile Include="firmware.cpp" />
    <ClCompile Include="guid2str.cpp" />
    <ClCompile Include="Lib\SplitStr\SplitStr.cpp" />
    <ClCompile Include="LoginController.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="Model\DepartmentDb.cpp" />
    <ClCompile Include="Model\DinnerMenuDb.cpp" />
    <ClCompile Include="Model\DinnerMenuRegisterDb.cpp" />
    <ClCompile Include="Model\DinnerSheetDb.cpp" />
    <ClCompile Include="Model\DinnerSheetDetailDb.cpp" />
    <ClCompile Include="Model\EquipmentDb.cpp" />
    <ClCompile Include="Model\HexFile.cpp" />
    <ClCompile Include="Model\LunchMenuDb.cpp" />
    <ClCompile Include="Model\ProposalSheetDb.cpp" />
    <ClCompile Include="Model\ProposalSheetDetailDb.cpp" />
    <ClCompile Include="Model\UnitDb.cpp" />
    <ClCompile Include="MultiClientChat.cpp" />
    <ClCompile Include="sqlite3.c" />
    <ClCompile Include="TcpListener.cpp" />
    <ClCompile Include="Uri.cpp" />
    <ClCompile Include="UserDb.cpp" />
    <ClCompile Include="View\home\home.cpp" />
    <ClCompile Include="View\login\login.cpp" />
    <ClCompile Include="WebServer.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Controller\HomeController.h" />
    <ClInclude Include="firmware.h" />
    <ClInclude Include="guid2str.h" />
    <ClInclude Include="Lib\SplitStr\SplitStr.h" />
    <ClInclude Include="LoginController.h" />
    <ClInclude Include="Model\DepartmentDb.h" />
    <ClInclude Include="Model\DinnerMenuDb.h" />
    <ClInclude Include="Model\DinnerMenuRegisterDb.h" />
    <ClInclude Include="Model\DinnerSheetDb.h" />
    <ClInclude Include="Model\DinnerSheetDetailDb.h" />
    <ClInclude Include="Model\EquipmentDb.h" />
    <ClInclude Include="Model\HexFile.h" />
    <ClInclude Include="Model\LunchMenuDb.h" />
    <ClInclude Include="Model\ProposalSheetDb.h" />
    <ClInclude Include="Model\ProposalSheetDetailDb.h" />
    <ClInclude Include="Model\UnitDb.h" />
    <ClInclude Include="MultiClientChat.h" />
    <ClInclude Include="rapidjson\allocators.h" />
    <ClInclude Include="rapidjson\cursorstreamwrapper.h" />
    <ClInclude Include="rapidjson\document.h" />
    <ClInclude Include="rapidjson\encodedstream.h" />
    <ClInclude Include="rapidjson\encodings.h" />
    <ClInclude Include="rapidjson\filereadstream.h" />
    <ClInclude Include="rapidjson\filewritestream.h" />
    <ClInclude Include="rapidjson\fwd.h" />
    <ClInclude Include="rapidjson\istreamwrapper.h" />
    <ClInclude Include="rapidjson\memorybuffer.h" />
    <ClInclude Include="rapidjson\memorystream.h" />
    <ClInclude Include="rapidjson\ostreamwrapper.h" />
    <ClInclude Include="rapidjson\pointer.h" />
    <ClInclude Include="rapidjson\prettywriter.h" />
    <ClInclude Include="rapidjson\rapidjson.h" />
    <ClInclude Include="rapidjson\reader.h" />
    <ClInclude Include="rapidjson\schema.h" />
    <ClInclude Include="rapidjson\stream.h" />
    <ClInclude Include="rapidjson\stringbuffer.h" />
    <ClInclude Include="rapidjson\writer.h" />
    <ClInclude Include="resource.h" />
    <ClInclude Include="sqlite3.h" />
    <ClInclude Include="TcpListener.h" />
    <ClInclude Include="Uri.h" />
    <ClInclude Include="UserDb.h" />
    <ClInclude Include="View\home\home.h" />
    <ClInclude Include="View\login\login.h" />
    <ClInclude Include="WebServer.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="introPage.htm">
      <DeploymentContent>true</DeploymentContent>
    </None>
    <None Include="loginPage.htm">
      <DeploymentContent>true</DeploymentContent>
    </None>
    <None Include="main.htm">
      <DeploymentContent>true</DeploymentContent>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Text Include="Doc.txt" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="idea.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>